// This file is a part of the Framsticks GDK.
// Copyright (C) 1999-2014  Maciej Komosinski and Szymon Ulatowski.  See LICENSE.txt for details.
// Refer to http://www.framsticks.com/ for further information.

#ifndef _GENETICNEUROPARAM_H_
#define _GENETICNEUROPARAM_H_

#include "neurolibparam.h"

class GeneticNeuroParam: public NeuroLibParam
{
  protected:
const char* types;
  public:
GeneticNeuroParam(const char* groupname,const char* myname, const char* prefix,const char* typ=0);

long getInt(int i);
int setInt(int i,long v);
const char *type(int i) {return types?types:NeuroLibParam::type(i);}
};

#endif
